# DataExchange
TKIGES
IGESDraw

# IGESDraw_HArray1OfViewKindEntity Class Reference

`#include <IGESDraw_HArray1OfViewKindEntity.hxx>`

## Public Member Functions

Standard_EXPORT | IGESDraw_HArray1OfViewKindEntity (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESDraw_HArray1OfViewKindEntity (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESData_ViewKindEntity)&V)
Standard_EXPORT void | Init (const Handle(IGESData_ViewKindEntity)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESData_ViewKindEntity)&Value)
const Handle_IGESData_ViewKindEntity & | Value (const Standard_Integer Index) const
Handle_IGESData_ViewKindEntity & | ChangeValue (const Standard_Integer Index)
const IGESDraw_Array1OfViewKindEntity & | Array1 () const
IGESDraw_Array1OfViewKindEntity & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IGESDraw_Array1OfViewKindEntity | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESDraw_HArray1OfViewKindEntity::IGESDraw_HArray1OfViewKindEntity | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESDraw_HArray1OfViewKindEntity::IGESDraw_HArray1OfViewKindEntity | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESData_ViewKindEntity)& | V
| ) |

## Member Function Documentation

const IGESDraw_Array1OfViewKindEntity& IGESDraw_HArray1OfViewKindEntity::Array1 | ( |  | ) | const

IGESDraw_Array1OfViewKindEntity& IGESDraw_HArray1OfViewKindEntity::ChangeArray1 | ( |  | ) |

Handle_IGESData_ViewKindEntity& IGESDraw_HArray1OfViewKindEntity::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESDraw_HArray1OfViewKindEntity::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESDraw_HArray1OfViewKindEntity::Init | ( | const Handle(IGESData_ViewKindEntity)& | V | ) |

Standard_Integer IGESDraw_HArray1OfViewKindEntity::Length | ( |  | ) | const

Standard_Integer IGESDraw_HArray1OfViewKindEntity::Lower | ( |  | ) | const

void IGESDraw_HArray1OfViewKindEntity::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESData_ViewKindEntity)& | Value
| ) |

Standard_Integer IGESDraw_HArray1OfViewKindEntity::Upper | ( |  | ) | const

const Handle_IGESData_ViewKindEntity& IGESDraw_HArray1OfViewKindEntity::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESDraw_Array1OfViewKindEntity IGESDraw_HArray1OfViewKindEntity::myArray`[private]`

The documentation for this class was generated from the following file:

- IGESDraw_HArray1OfViewKindEntity.hxx